aboutsummaryrefslogtreecommitdiffhomepage
path: root/completion
diff options
context:
space:
mode:
authorGravatar Jani Nikula <jani@nikula.org>2014-08-18 19:33:21 +0300
committerGravatar David Bremner <david@tethera.net>2014-08-22 17:02:41 -0700
commit523f06a0add737aa0577f43c319f069bc0ff10f3 (patch)
treee53dc50fbe073f85bbd4beb7ec7a9c5bb0463035 /completion
parent028c56061e820211f5757a49bf4da30198b29e29 (diff)
completion: fail silently if _init_completion is not found
The completion script depends on bash-completion 1.90 or later, with _init_completion function. If that's not present, for some reason, the completion currently fails with an ugly message, messing up user's command line: $ notmuch -bash: _init_completion: command not found It's better to just not complete
Diffstat (limited to 'completion')
-rw-r--r--completion/notmuch-completion.bash4
1 files changed, 4 insertions, 0 deletions
diff --git a/completion/notmuch-completion.bash b/completion/notmuch-completion.bash
index d88c5e7d..0571dc9d 100644
--- a/completion/notmuch-completion.bash
+++ b/completion/notmuch-completion.bash
@@ -395,6 +395,10 @@ _notmuch()
{
local _notmuch_commands="compact config count dump help insert new reply restore search setup show tag"
local arg cur prev words cword split
+
+ # require bash-completion with _init_completion
+ type -t _init_completion >/dev/null 2>&1 || return
+
_init_completion || return
COMPREPLY=()